{"title":"Create customers (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_customer/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_customer, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_customer","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a customer object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create customers (v1.0)","slug":"create-customers-v10","at":0,"chars":2874},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":72,"chars":210},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":282,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":391,"chars":94},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":485,"chars":131},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":616,"chars":2040},{"level":2,"title":"Related information","slug":"related-information","at":2656,"chars":218}],"text":"# Create customers (v1.0)\nCreate a customer object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/customers\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of customers object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a customers object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/customers\nContent-type: application/json\n\n{\n  \"number\": \"10000\",\n  \"displayName\": \"Coho Winery\",\n  \"type\": \"Company\",\n  \"address\": {\n    \"street\": \"192 Market Square\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"countryLetterCode\": \"US\",\n    \"postalCode\": \"31772\"\n  },\n  \"phoneNumber\": \"\",\n  \"email\": \"jim.glynn@cronuscorp.net\",\n  \"website\": \"\",\n  \"taxLiable\": true,\n  \"taxAreaId\": \"taxAreaId-value\",\n  \"taxAreaDisplayName\": \"tax area\",\n  \"taxRegistrationNumber\": \"28012001T\",\n  \"currencyId\": \"currencyId-value\",\n  \"currencyCode\": \"USD\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\",\n  \"shipmentMethodId\": \"shipmentMethodId-value\",\n  \"shipmentMethod\": null,\n  \"paymentMethodId\": \"paymentMethodId-value\",\n  \"paymentMethod\": {\n    \"code\": \"BANK\",\n    \"description\": \"Bank Transfer\"\n  },\n  \"blocked\": \" \",\n  \"overdueAmount\": 0,\n  \"totalSalesExcludingTax\": 0,\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"number\": \"10000\",\n  \"displayName\": \"Coho Winery\",\n  \"type\": \"Company\",\n  \"address\": {\n    \"street\": \"192 Market Square\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"countryLetterCode\": \"US\",\n    \"postalCode\": \"31772\"\n  },\n  \"phoneNumber\": \"\",\n  \"email\": \"jim.glynn@cronuscorp.net\",\n  \"website\": \"\",\n  \"taxLiable\": true,\n  \"taxAreaId\": \"taxAreaId-value\",\n  \"taxAreaDisplayName\": \"tax area\",\n  \"taxRegistrationNumber\": \"28012001T\",\n  \"currencyCode\": \"USD\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\",\n  \"shipmentMethod\": null,\n  \"paymentMethod\": {\n    \"code\": \"BANK\",\n    \"description\": \"Bank Transfer\"\n  },\n  \"blocked\": \" \",\n  \"balance\": 0,\n  \"overdueAmount\": 0,\n  \"totalSalesExcludingTax\": 0,\n  \"lastModifiedDateTime\": \"2017-03-07T00:35:28.983Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_customer\ndynamics_customer_get\nPatch Customers<dynamics_customer_update>\ndynamics_customer_delete"}